Skip to main content
GET
Get the policy vocabulary
This endpoint is in beta. It may still change before it reaches general availability.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
integer<int64>
required

The unique numerical identifier for the deployment.

Example:

1234

Query Parameters

product
string

The product to return product-specific value enums and constraints for. Without it, only the product-agnostic parts of the vocabulary are returned. The product to return product-specific value enums and constraints for. One of: code, secrets, remediation. Without it, only the product-agnostic parts of the vocabulary are returned.

Example:

"remediation"

Response

200 - application/json

OK

condition_types
object[]

The condition types accepted in remediation policy filters.

action_types
object[]

The action types accepted in remediation policies, including their companion requirements.

value_enums
object[]

The accepted values per condition type or bundle field. Product-specific: populated only when the product query parameter is set.

detection_constraints
object

Structural constraints on detection policy bundles. Populated when the product query parameter is code or secrets.